---
search:
  tags:
    - reports
    - POST
seo:
  description: >-
    Create a support report bundle (built asynchronously). Reference for the
    POST /api/v1/reports endpoint in the TimescaleDB Enterprise API.
sidebar:
  label: Create a support report
  badge: POST
title: Create a support report
type: openapi-operation
---
Create a support report bundle (built asynchronously).

`POST /api/v1/reports`

**Request body** (`application/json`, required)

- `database_services` (ReportDatabaseServiceSelection[])
- `description` (string)
- `include_app_logs` (boolean)
- `issue_type` (string)
- `server_ids` (string[])
- `subject` (string)

Request body example:

```json
{
  "database_services": [
    {
      "id": "string",
      "options": {
        "include_backup_config": true,
        "include_extensions": true,
        "include_health": true,
        "include_postgresql_info": true,
        "include_workflows": true
      }
    }
  ],
  "description": "string",
  "include_app_logs": true,
  "issue_type": "string",
  "server_ids": [
    "string"
  ],
  "subject": "string"
}
```

**Responses**

- `202` — Accepted
- `default` — Error

Response example, 202:

```json
{
  "created_at": "string",
  "database_service_names": [
    "string"
  ],
  "description": "string",
  "error": "string",
  "id": "string",
  "issue_type": "string",
  "server_names": [
    "string"
  ],
  "size_bytes": 0,
  "status": "building",
  "subject": "string"
}
```
